Bug 138718 - up2date fails after up2date to newest releases
up2date fails after up2date to newest releases
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 15:44 EST by Matthias Link
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:31:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Link 2004-11-10 15:44:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041104 Firefox/1.0RC1

Description of problem:
After updating from last big bunch of packages up2date fails, as
system-config-printer does, either.

Should be in relation to Python, as i had to remove postgresql-python
and python-ldap to be able to run up2date -uf --nox before. Having not
removed these two packages made up2date fail with unresolvable chain
of dependencies (postgresql-python > Python 2.4, python-ldap =< Python
2.4)

Version-Release number of selected component (if applicable):
up2date-4.3.52-3

How reproducible:
Always

Steps to Reproduce:
1. run up2date
2.
3.
    

Actual Results:  up2date -uf --nox
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 27, in ?
    from up2date_client import repoDirector
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 5, in ?
    import rhnChannel
  File "/usr/share/rhn/up2date_client/rhnChannel.py", line 10, in ?
    import up2dateAuth
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 5, in ?
    import rpcServer
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 22, in ?
    from rhn import rpclib
ImportError: No module named rhn

Expected Results:  Get new packages or info about packages.

Additional info:
Comment 1 Terje Bless 2004-11-11 13:14:22 EST
Seems to be a result of the Python 2.3 to 2.4 transition.

Manually downloading and installing rhnlib-1.8-6.p23.fc3.1 and
pyOpenSSL-0.6-1.p23.1 from one of the Rawhide mirrors will get
you past this (`rpm -Uvh rhnlib-...-rpm`).

e.g. <http://download.fedora.redhat.com/pub/fedora/linux/core/
development/i386/Fedora/RPMS/rhnlib-1.8-6.p23.fc3.1.noarch.rpm>
and <http://download.fedora.redhat.com/pub/fedora/linux/core/
development/i386/Fedora/RPMS/pyOpenSSL-0.6-1.p23.1.i386.rpm>.

Given up2date (rhnlib) and yum (libxml2-python) both got borked
at the same time, manual download of the RPM seems the only way
around this.
Comment 2 John Thacker 2006-10-29 09:31:53 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.